// include/config.i.  Generated automatically by configure.
//
// ### Defines not yet autoconfigured
//
// Maximal path and file length from /usr/include/linux/limits.h
MAX_PATH = 4096
NAME_MAX = 255

// ### Defines set with ./configure
//
// Versions
ASMIX_VER_MAJ =  0
ASMIX_VER_MIN =  7
ASMIX_VER_REV =  1
//
// Configuration features
//
// Implement all XCU options
FEATURE_FULLOPT =  0
// options are used (enables -- in programs that can exist without options)
OPTIONS =  0
// put version information into programs (-v and --version)
FEATURE_VERSION =  0
//
// struct dirent breakdown (not really set with configure)
SIZE_DIRENT =  1024
DIRENT_INO =  0
DIRENT_LEN =  4
DIRENT_NAME =  8
//
// sizeof(struct stat) from /usr/include/sys/stat.h
SIZE_STAT =  64
// struct stat breakdown from /usr/include/sys/stat.h
ST_DEV =  0
ST_INO =  4
ST_NLINK =  10

// Syscall convention
// 1 if you are using linux (int $0x80 syscalls)
SYSCALL_linux = 0
// 1 if you are using some other unix (lcall $7,$0 syscalls)
SYSCALL_unix =  1

// Syscall Numbers
SYSCALL_EXIT = 1
SYSCALL_WRITE =  4
SYSCALL_OPEN =  5
SYSCALL_CLOSE =  6
SYSCALL_RMDIR =  137
SYSCALL_MKDIR =  136
SYSCALL_UMASK =  60
SYSCALL_READLINK =  58
SYSCALL_READDIR = 0
SYSCALL_GETDENTS =  272
SYSCALL_GETDIRENTRIES =  156
SYSCALL_STAT =  38
SYSCALL_LSTAT =  40
SYSCALL_FSTAT =  62
SYSCALL_GETCWD = 326

// ### Defines for the strategy of 'pwd'

// Set to one if you have a getcwd() syscall and want pwd
// to use it.
PWD_sys = 1
// Set to one if you have the Linux-style /proc filesystem and want pwd to
// use it.
PWD_proc = 0
// Set to one if you want POSIX-comliant standard behavior for pwd.
PWD_posix =  0
// Define if you want pwd to simply print out $PWD environment variable
PWD_env = 0
