// ASMIX Commands and Utilities
// (c) Sergei Zubkov (Cubbi) 1999
//
// false.s - Return true value
// 
// $Id: false.s,v 1.1.1.1 1999/10/04 20:54:17 cubbi Exp $
//
FALSE_V_MAJ = 1
FALSE_V_MIN = 0

.include "config.i"
	.globl _start
_start:

.if OPTIONS
        cld
        popl    %ecx
// this was argc - 1 means we are called without arguments
        decl    %ecx
        jz      no_options

//arguments_cycle:
        popl    %edi
// this is argv
// skip argv[0]
        pushl   %ecx
        movl    $-1,%ecx
        xorl    %eax,%eax
        repne
        scasb
        popl    %ecx

// Checks for arguments
//	cmpb    $1,end_of_options
//	je      skip_options
// Check for --
//	cmpw    $0x2D2D,(%edi)
//	jne     not_dashdash
//	movb    $1,end_of_options
//	loop    arguments_cycle
not_dashdash:
// Check for -options
.if FEATURE_VERSION
// Check for -V
	cmpw    $0x562D,(%edi)
	je      show_version
.endif
// exit with error message about unrecognized option
// TBD (if +errors)
// not an option -> options no more
//	movb    $1,end_of_options

//	loop    arguments_cycle
skip_options:
no_options:
.endif

exit:
	xorl	%ebx,%ebx
	incl	%ebx
.if SYSCALL_unix
	pushl	%ebx
	movl	$SYSCALL_EXIT,%eax
	pushl	%eax
        .byte   0x9A
        .long   0
        .word   7
.endif
.if SYSCALL_linux
	movl	$SYSCALL_EXIT,%eax
	int	$0x80
.endif

.if FEATURE_VERSION
show_version:
.if SYSCALL_unix
	pushl   $version_l
	pushl   $version
	pushl   $1
	movl    $SYSCALL_WRITE,%eax
	pushl   %eax
	.byte   0x9A
	.long   0
	.word   7
	addl    $16,%esp
.endif
.if SYSCALL_linux
	movl    $version_l,%edx
	movl    $version,%ecx
	movl    $1,%ebx
	movl    $SYSCALL_WRITE,%eax
	int     $0x80
.endif
	jmp     exit
.endif

	.data
.if OPTIONS
end_of_options:
        .byte   0
.endif
.if FEATURE_VERSION
version:
        .ascii  "false.s "
        .byte   '0'+FALSE_V_MAJ
        .ascii  "."
        .byte   '0'+FALSE_V_MIN
        .ascii  "+version"
// +other things here
        .ascii  " ASMIX CU "
        .byte   '0'+ASMIX_VER_MAJ
        .ascii  "."
        .byte   '0'+ASMIX_VER_MIN
        .ascii  "."
        .byte   '0'+ASMIX_VER_REV
        .ascii  "\012"
version_l = .-version
.endif



